function sthr = specthr(spectrum, threshold)

    % Initialise the output
    sthr = spectrum;
    % Compute the amplitudes of the spectrum
    athr = abs(sthr);
    % Find the maximum amplitude
    m = max(athr);
    % Select all `sthr` components that correspond to amplitudes that
    % are smaller than `m*threshold` and set them to zero.
    % Note: `athr < m*threshold` is a logical variable, `sthr(...)` will
    % only apply to those elements in the vector where the logical index is
    % `True`.
    sthr(athr < m*threshold) = 0.0;  
end

